# PSF-LoginServer - master - net.psforever.objects.entity.SimpleWorldEntity
PSF - LoginServer - master - net.psforever.objects.entity.SimpleWorldEntity
Keywords: PSF LoginServer master net.psforever.objects.entity.SimpleWorldEntity

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package entity
  Definition Classes
    objects
- AssigningGUIDException
- GUIDException
- Identifiable
- IdentifiableEntity
- NoGUIDException
- SimpleWorldEntity
- WorldEntity

c

net.psforever.objects.entity

# SimpleWorldEntity 

###
Companion object SimpleWorldEntity

#### class SimpleWorldEntity extends WorldEntity

Source
  SimpleWorldEntity.scala

Linear Supertypes
WorldEntity, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SimpleWorldEntity
2. WorldEntity
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SimpleWorldEntity()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Orientation: Vector3
   Definition Classes
     SimpleWorldEntity → WorldEntity
5.  def Orientation_=(vec: Vector3): Vector3
   Definition Classes
     SimpleWorldEntity → WorldEntity
6.  def Position: Vector3
   Definition Classes
     SimpleWorldEntity → WorldEntity
7.  def Position_=(vec: Vector3): Vector3
   Definition Classes
     SimpleWorldEntity → WorldEntity
8.  def Velocity: Option[Vector3]
   Definition Classes
     SimpleWorldEntity → WorldEntity
9.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
   Definition Classes
     SimpleWorldEntity → WorldEntity
10.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
20.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
21.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      SimpleWorldEntity → AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from WorldEntity

### Inherited from AnyRef

### Inherited from Any

### Ungrouped